Skip to content
Browse files

gemspecs

  • Loading branch information...
1 parent 167a9c6 commit be22cc4446da1d9dead21b07e33c90fc18ff246f @jeanmartin jeanmartin committed May 19, 2012
Showing with 79 additions and 6 deletions.
  1. +2 −2 Gemfile
  2. +2 −2 Gemfile.lock
  3. +2 −2 Rakefile
  4. +73 −0 micropayment-rails.gemspec
View
4 Gemfile
@@ -1,12 +1,12 @@
source "http://rubygems.org"
-gem "rails", ">= 3.0.0"
+gem "rails"
gem 'micropayment'
group :development do
gem "shoulda", ">= 0"
gem "rdoc", "~> 3.12"
- gem "bundler", "~> 1.1.0"
+ gem "bundler", ">= 1.0.0"
gem "jeweler", "~> 1.8.3"
gem "rcov", ">= 0"
end
View
4 Gemfile.lock
@@ -99,10 +99,10 @@ PLATFORMS
ruby
DEPENDENCIES
- bundler (~> 1.1.0)
+ bundler (>= 1.0.0)
jeweler (~> 1.8.3)
micropayment
- rails (>= 3.0.0)
+ rails
rcov
rdoc (~> 3.12)
shoulda
View
4 Rakefile
@@ -17,8 +17,8 @@ Jeweler::Tasks.new do |gem|
gem.name = "micropayment-rails"
gem.homepage = "http://github.com/jeanmartin/micropayment-rails"
gem.license = "MIT"
- gem.summary = %Q{TODO: one-line summary of your gem}
- gem.description = %Q{TODO: longer description of your gem}
+ gem.summary = %Q{Rails wrapper for the micropayment gem}
+ gem.description = %Q{Use the micropayment API in your Rails project.}
gem.email = "jan@general-scripting.com"
gem.authors = ["Jan Schwenzien"]
# dependencies defined in Gemfile
View
73 micropayment-rails.gemspec
@@ -0,0 +1,73 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = "micropayment-rails"
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Jan Schwenzien"]
+ s.date = "2012-05-19"
+ s.description = "Use the micropayment API in your Rails project."
+ s.email = "jan@general-scripting.com"
+ s.extra_rdoc_files = [
+ "LICENSE.txt",
+ "README.markdown"
+ ]
+ s.files = [
+ ".document",
+ "Gemfile",
+ "Gemfile.lock",
+ "LICENSE.txt",
+ "README.markdown",
+ "Rakefile",
+ "VERSION",
+ "lib/micropayment-rails.rb",
+ "lib/micropayment-rails/classes/address.rb",
+ "lib/micropayment-rails/classes/bank_account.rb",
+ "lib/micropayment-rails/classes/base.rb",
+ "lib/micropayment-rails/classes/customer.rb",
+ "lib/micropayment-rails/classes/session.rb",
+ "lib/micropayment-rails/setup.rb",
+ "test/helper.rb",
+ "test/test_micropayment-rails.rb"
+ ]
+ s.homepage = "http://github.com/jeanmartin/micropayment-rails"
+ s.licenses = ["MIT"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = "1.8.23"
+ s.summary = "Rails wrapper for the micropayment gem"
+
+ if s.respond_to? :specification_version then
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<rails>, [">= 3.0.0"])
+ s.add_runtime_dependency(%q<micropayment>, [">= 0"])
+ s.add_development_dependency(%q<shoulda>, [">= 0"])
+ s.add_development_dependency(%q<rdoc>, ["~> 3.12"])
+ s.add_development_dependency(%q<bundler>, ["~> 1.1.0"])
+ s.add_development_dependency(%q<jeweler>, ["~> 1.8.3"])
+ s.add_development_dependency(%q<rcov>, [">= 0"])
+ else
+ s.add_dependency(%q<rails>, [">= 3.0.0"])
+ s.add_dependency(%q<micropayment>, [">= 0"])
+ s.add_dependency(%q<shoulda>, [">= 0"])
+ s.add_dependency(%q<rdoc>, ["~> 3.12"])
+ s.add_dependency(%q<bundler>, ["~> 1.1.0"])
+ s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
+ s.add_dependency(%q<rcov>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<rails>, [">= 3.0.0"])
+ s.add_dependency(%q<micropayment>, [">= 0"])
+ s.add_dependency(%q<shoulda>, [">= 0"])
+ s.add_dependency(%q<rdoc>, ["~> 3.12"])
+ s.add_dependency(%q<bundler>, ["~> 1.1.0"])
+ s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
+ s.add_dependency(%q<rcov>, [">= 0"])
+ end
+end
+

0 comments on commit be22cc4

Please sign in to comment.
Something went wrong with that request. Please try again.